Bug 1801882

Summary: installation of slf4j is broken unless maven module is disabled
Product: [Fedora] Fedora Modules Reporter: Alexander Bokovoy <abokovoy>
Component: mavenAssignee: Mikolaj Izdebski <mizdebsk>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: low    
Version: unspecifiedCC: abiagion, ascheel, awilliam, bcotton, dmach, dmoluguw, edewata, extras-orphan, fzatlouk, jberan, jmracek, jorton, jpazdziora, mhroncok, mizdebsk, rharwood, robatino
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: mhroncok: fedora_prioritized_bug?
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: openqa AcceptedBlocker
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-26 17:35:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1705303    

Description Alexander Bokovoy 2020-02-11 19:55:21 UTC
In Rawhide right now:

    sh-5.0# dnf install freeipa-server-trust-ad
    Last metadata expiration check: 0:07:47 ago on Tue Feb 11 08:31:39 2020.
    Error:
     Problem: package pki-ca-10.7.3-6.fc32.noarch requires pki-server = 10.7.3, but none of the providers can be installed
      - package pki-server-10.7.3-6.fc32.noarch requires tomcatjss >= 7.4.1, but none of the providers can be installed
      - package freeipa-server-4.8.4-6.fc32.x86_64 requires pki-ca >= 10.7.3-1, but none of the providers can be installed
      - package tomcatjss-7.4.1-3.fc32.noarch requires slf4j-jdk14, but none of the providers can be installed
      - package freeipa-server-trust-ad-4.8.4-6.fc32.x86_64 requires freeipa-server = 4.8.4-6.fc32, but none of the providers can be installed
      - package slf4j-jdk14-1.7.30-1.fc32.noarch requires mvn(org.slf4j:slf4j-api) = 1.7.30, but none of the providers can be installed
      - conflicting requests
      - package slf4j-1.7.30-1.fc32.noarch is excluded
    (try to add '--skip-broken' to skip uninstallable packages)

If I do disable maven module, slf4j works.

sh-5.0# dnf module disable maven
Last metadata expiration check: 0:08:04 ago on Tue Feb 11 08:31:39 2020.
Dependencies resolved.
==============================================================================================================================================================================================================================================================
 Package                                                       Architecture                                                 Version                                                       Repository                                                     Size
==============================================================================================================================================================================================================================================================
Disabling modules:
 maven                                                                                                                                                                                                                                                       

Transaction Summary
==============================================================================================================================================================================================================================================================

Is this ok [y/N]: y
Complete!
sh-5.0# dnf install freeipa-server-trust-ad 
Last metadata expiration check: 0:08:12 ago on Tue Feb 11 08:31:39 2020.
Dependencies resolved.
==============================================================================================================================================================================================================================================================
 Package                                                                Architecture                                  Version                                                                    Repository                                              Size
==============================================================================================================================================================================================================================================================
Installing:
 freeipa-server-trust-ad                                                x86_64                                        4.8.4-6.fc32                                                               rawhide                                                136 k
....
Transaction Summary
==============================================================================================================================================================================================================================================================
Install  270 Packages
Upgrade   21 Packages

Total download size: 162 M
Is this ok [y/N]: y
....
Installed:
  freeipa-server-trust-ad-4.8.4-6.fc32.x86_64                      apr-util-bdb-1.6.1-12.fc32.x86_64                                 apr-util-openssl-1.6.1-12.fc32.x86_64                    iproute-tc-5.5.0-1.fc32.x86_64                               
  libsss_sudo-2.2.2-6.fc32.x86_64                                  openssl-pkcs11-0.4.10-5.fc32.x86_64                               python-systemd-doc-234-12.fc32.x86_64                    sssd-nfs-idmap-2.2.2-6.fc32.x86_64                           
  apache-commons-logging-1.2-13.module_f28+3872+5b76729e.noarch    xalan-j2-2.7.1-38.module_f28+3872+5b76729e.noarch                 xerces-j2-2.11.0-34.module_f28+3872+5b76729e.noarch      xml-commons-apis-1.4.01-25.module_f28+3872+5b76729e.noarch   
  xml-commons-resolver-1.2-26.module_f28+3872+5b76729e.noarch      389-ds-base-1.4.3.2-1.fc32.1.x86_64                               389-ds-base-libs-1.4.3.2-1.fc32.1.x86_64                 apache-commons-cli-1.4-8.fc32.noarch                         
  apache-commons-codec-1.13-2.fc32.noarch                          apache-commons-collections-3.2.2-16.fc32.noarch                   apache-commons-daemon-1.2.2-2.fc32.x86_64                apache-commons-io-1:2.6-8.fc32.noarch                        
  apache-commons-lang-2.6-27.fc32.noarch                           apr-1.7.0-3.fc32.x86_64                                           apr-util-1.6.1-12.fc32.x86_64                            augeas-libs-1.12.0-3.fc32.x86_64                             
  authselect-1.1-6.fc32.x86_64                                     authselect-libs-1.1-6.fc32.x86_64                                 autofs-1:5.1.6-2.fc32.x86_64                             bea-stax-api-1.2.0-20.fc32.noarch                            
  bind-libs-32:9.11.14-5.fc32.x86_64                               bind-libs-lite-32:9.11.14-5.fc32.x86_64                           bind-license-32:9.11.14-5.fc32.noarch                    bind-utils-32:9.11.14-5.fc32.x86_64                          
  c-ares-1.15.0-5.fc32.x86_64                                      certmonger-0.79.9-1.fc32.x86_64                                   checkpolicy-3.0-3.fc32.x86_64                            chrony-3.5-8.fc32.x86_64                                     
  copy-jdk-configs-3.7-5.fc32.noarch                               custodia-0.6.0-11.fc32.noarch                                     cyrus-sasl-gssapi-2.1.27-3.fc32.x86_64                   cyrus-sasl-md5-2.1.27-3.fc32.x86_64                          
  cyrus-sasl-plain-2.1.27-3.fc32.x86_64                            dbus-tools-1:1.12.16-4.fc32.x86_64                                e2fsprogs-libs-1.45.5-3.fc32.x86_64                      ecj-1:4.14-3.fc32.noarch                                     
  fedora-logos-httpd-30.0.2-4.fc32.noarch                          fontawesome-fonts-4.7.0-8.fc32.noarch                             freeipa-client-4.8.4-6.fc32.x86_64                       freeipa-client-common-4.8.4-6.fc32.noarch                    
  freeipa-common-4.8.4-6.fc32.noarch                               freeipa-server-4.8.4-6.fc32.x86_64                                freeipa-server-common-4.8.4-6.fc32.noarch                fstrm-0.5.0-2.fc32.x86_64                                    
  glassfish-fastinfoset-1.2.15-2.fc32.noarch                       glassfish-jaxb-api-2.2.12-14.fc32.noarch                          glassfish-jaxb-core-2.2.11-16.fc32.noarch                glassfish-jaxb-runtime-2.2.11-16.fc32.noarch                 
  glassfish-jaxb-txw2-2.2.11-16.fc32.noarch                        gssproxy-0.8.2-8.fc32.x86_64                                      httpcomponents-client-4.5.10-2.fc32.noarch               httpcomponents-core-4.4.12-2.fc32.noarch                     
  httpd-2.4.41-13.fc32.x86_64                                      httpd-filesystem-2.4.41-13.fc32.noarch                            httpd-tools-2.4.41-13.fc32.x86_64                        iproute-5.5.0-1.fc32.x86_64                                  
  istack-commons-runtime-2.21-12.fc32.noarch                       jackson-annotations-2.10.2-2.fc32.noarch                          jackson-core-2.10.2-2.fc32.noarch                        jackson-databind-2.10.2-2.fc32.noarch                        
  jackson-jaxrs-json-provider-2.10.2-2.fc32.noarch                 jackson-jaxrs-providers-2.10.2-2.fc32.noarch                      jackson-module-jaxb-annotations-2.10.2-2.fc32.noarch     jaf-1.2.1-4.fc30.noarch                                      
  jakarta-commons-httpclient-1:3.1-33.fc32.noarch                  java-1.8.0-openjdk-headless-1:1.8.0.242.b06-0.0.ea.fc32.x86_64    javapackages-filesystem-5.3.0-9.fc32.noarch              javapackages-tools-5.3.0-9.fc32.noarch                       
  jboss-annotations-1.2-api-1.0.2-2.fc32.noarch                    jboss-jaxrs-2.0-api-1.0.0-10.fc32.noarch                          jboss-logging-3.4.1-2.fc32.noarch                        jboss-logging-tools-2.2.0-2.fc32.noarch                      
  jdeparser-2.0.3-2.fc32.noarch                                    js-jquery-3.3.1-2.fc30.noarch                                     jss-4.6.2-2.fc32.x86_64                                  kmod-26-5.fc32.x86_64                                        
  krb5-pkinit-1.18-0.beta2.3.fc32.x86_64                           krb5-server-1.18-0.beta2.3.fc32.x86_64                            krb5-workstation-1.18-0.beta2.3.fc32.x86_64              ldapjdk-4.21.0-3.fc32.noarch                                 
  libbasicobjects-0.1.1-44.fc32.x86_64                             libcollection-0.7.0-44.fc32.x86_64                                libdhash-0.5.0-44.fc32.x86_64                            libev-4.31-2.fc32.x86_64                                     
  libevent-2.1.8-8.fc32.x86_64                                     libicu-65.1-2.fc32.x86_64                                         libini_config-1.3.1-44.fc32.x86_64                       libipa_hbac-2.2.2-6.fc32.x86_64                              
  libkadm5-1.18-0.beta2.3.fc32.x86_64                              libldb-2.1.0-2.fc32.x86_64                                        libldb-devel-2.1.0-2.fc32.x86_64                         libmaxminddb-1.3.2-2.fc32.x86_64                             
  libnfsidmap-1:2.4.2-2.rc2.fc32.x86_64                            libnl3-3.5.0-2.fc32.x86_64                                        libpath_utils-0.2.1-44.fc32.x86_64                       libref_array-0.1.5-44.fc32.x86_64                            
  libselinux-utils-3.0-3.fc32.x86_64                               libsmbclient-2:4.12.0-0.2.rc2.fc32.1.x86_64                       libss-1.45.5-3.fc32.x86_64                               libsss_autofs-2.2.2-6.fc32.x86_64                            
  libsss_certmap-2.2.2-6.fc32.x86_64                               libtalloc-2.3.1-2.fc32.x86_64                                     libtalloc-devel-2.3.1-2.fc32.x86_64                      libtdb-1.4.3-2.fc32.x86_64                                   
  libtdb-devel-1.4.3-2.fc32.x86_64                                 libtevent-0.10.2-2.fc32.x86_64                                    libtevent-devel-0.10.2-2.fc32.x86_64                     libtomcrypt-1.18.2-6.fc32.x86_64                             
  libtommath-1.1.0-2.fc32.x86_64                                   libverto-libev-0.3.0-9.fc32.x86_64                                libwbclient-2:4.12.0-0.2.rc2.fc32.1.x86_64               libxslt-1.1.33-5.fc32.x86_64                                 
  linux-atm-libs-2.5.1-26.fc32.x86_64                              lksctp-tools-1.0.18-4.fc32.x86_64                                 lmdb-libs-0.9.23-4.fc32.x86_64                           logrotate-3.15.1-3.fc32.x86_64                               
  lua-5.3.5-7.fc32.x86_64                                          lua-posix-33.3.1-16.fc32.x86_64                                   mailcap-2.1.48-7.fc32.noarch                             mod_auth_gssapi-1.6.1-8.fc32.x86_64                          
  mod_http2-1.15.5-1.fc32.x86_64                                   mod_lookup_identity-1.0.0-11.fc32.x86_64                          mod_session-2.4.41-13.fc32.x86_64                        mod_ssl-1:2.4.41-13.fc32.x86_64                              
  net-tools-2.0-0.56.20160912git.fc32.x86_64                       nfs-utils-1:2.4.2-2.rc2.fc32.x86_64                               oddjob-0.34.4-10.fc32.x86_64                             oddjob-mkhomedir-0.34.4-10.fc32.x86_64                       
  open-sans-fonts-1.10-12.fc32.noarch                              openldap-clients-2.4.47-4.fc32.x86_64                             openssl-perl-1:1.1.1d-6.fc32.x86_64                      perl-Algorithm-Diff-1.1903-15.fc32.noarch                    
  perl-Archive-Tar-2.36-1.fc32.noarch                              perl-Compress-Raw-Bzip2-2.093-2.fc32.x86_64                       perl-Compress-Raw-Lzma-2.093-2.fc32.x86_64               perl-Compress-Raw-Zlib-2.093-2.fc32.x86_64                   
  perl-DB_File-1.853-2.fc32.x86_64                                 perl-IO-Compress-2.093-2.fc32.noarch                              perl-IO-Compress-Lzma-2.093-2.fc32.noarch                perl-IO-Zlib-1:1.10-450.fc32.noarch                          
  perl-Text-Diff-1.45-8.fc32.noarch                                pki-base-10.7.3-6.fc32.noarch                                     pki-base-java-10.7.3-6.fc32.noarch                       pki-ca-10.7.3-6.fc32.noarch                                  
  pki-kra-10.7.3-6.fc32.noarch                                     pki-server-10.7.3-6.fc32.noarch                                   pki-symkey-10.7.3-6.fc32.x86_64                          pki-tools-10.7.3-6.fc32.x86_64                               
  policycoreutils-3.0-2.fc32.x86_64                                policycoreutils-python-utils-3.0-2.fc32.noarch                    protobuf-c-1.3.2-2.fc32.x86_64                           psmisc-23.3-3.fc32.x86_64                                    
  publicsuffix-list-20190417-3.fc32.noarch                         python3-argcomplete-1.10.0-4.fc32.noarch                          python3-argparse-manpage-1.4-2.fc32.noarch               python3-asn1crypto-1.3.0-2.fc32.noarch                       
  python3-atomicwrites-1.3.0-7.fc32.noarch                         python3-attrs-19.3.0-2.fc32.noarch                                python3-audit-3.0-0.18.20191104git1c2f876.fc32.x86_64    python3-augeas-0.5.0-19.fc32.noarch                          
  python3-babel-2.8.0-2.fc32.noarch                                python3-cffi-1.13.2-2.fc32.x86_64                                 python3-chardet-3.0.4-15.fc32.noarch                     python3-cryptography-2.8-3.fc32.x86_64                       
  python3-custodia-0.6.0-11.fc32.noarch                            python3-dns-1.16.0-7.fc32.noarch                                  python3-ecdsa-0.14.1-2.fc32.noarch                       python3-gssapi-1.6.1-5.fc32.x86_64                           
  python3-idna-2.8-6.fc32.noarch                                   python3-ipaclient-4.8.4-6.fc32.noarch                             python3-ipalib-4.8.4-6.fc32.noarch                       python3-ipaserver-4.8.4-6.fc32.noarch                        
  python3-jinja2-2.11.1-1.fc32.noarch                              python3-jwcrypto-0.6.0-7.fc32.noarch                              python3-kdcproxy-0.4.2-3.fc32.noarch                     python3-ldap-3.1.0-9.fc32.x86_64                             
  python3-ldb-2.1.0-2.fc32.x86_64                                  python3-lib389-1.4.3.2-1.fc32.1.noarch                            python3-libipa_hbac-2.2.2-6.fc32.x86_64                  python3-libsemanage-3.0-3.fc32.x86_64                        
  python3-libsss_nss_idmap-2.2.2-6.fc32.x86_64                     python3-lxml-4.4.1-4.fc32.x86_64                                  python3-markupsafe-1.1.1-5.fc32.x86_64                   python3-mod_wsgi-4.6.8-2.fc32.x86_64                         
  python3-more-itertools-7.2.0-4.fc32.noarch                       python3-netaddr-0.7.19-21.fc32.noarch                             python3-netifaces-0.10.6-10.fc32.x86_64                  python3-nss-1.0.1-18.fc32.x86_64                             
  python3-packaging-20.1-2.fc32.noarch                             python3-pki-10.7.3-6.fc32.noarch                                  python3-pluggy-0.13.0-2.fc32.noarch                      python3-ply-3.11-7.fc32.noarch                               
  python3-policycoreutils-3.0-2.fc32.noarch                        python3-py-1.8.0-8.fc32.noarch                                    python3-pyasn1-0.4.8-1.fc32.noarch                       python3-pyasn1-modules-0.4.8-1.fc32.noarch                   
  python3-pycparser-2.19-2.fc32.noarch                             python3-pycryptodomex-3.9.6-1.fc32.x86_64                         python3-pyparsing-2.4.6-2.fc32.noarch                    python3-pysocks-1.7.1-4.fc32.noarch                          
  python3-pytest-4.6.9-2.fc32.noarch                               python3-pytz-2019.3-2.fc32.noarch                                 python3-pyusb-1.0.2-6.fc32.noarch                        python3-qrcode-core-6.1-5.fc32.noarch                        
  python3-requests-2.22.0-8.fc32.noarch                            python3-samba-2:4.12.0-0.2.rc2.fc32.1.x86_64                      python3-setools-4.2.2-4.fc32.x86_64                      python3-sss-2.2.2-6.fc32.x86_64                              
  python3-sss-murmur-2.2.2-6.fc32.x86_64                           python3-sssdconfig-2.2.2-6.fc32.noarch                            python3-systemd-234-12.fc32.x86_64                       python3-talloc-2.3.1-2.fc32.x86_64                           
  python3-tdb-1.4.3-2.fc32.x86_64                                  python3-tevent-0.10.2-2.fc32.x86_64                               python3-urllib3-1.25.7-3.fc32.noarch                     python3-wcwidth-0.1.7-15.fc32.noarch                         
  python3-yubico-1.3.2-18.fc32.noarch                              quota-1:4.05-8.fc32.x86_64                                        quota-nls-1:4.05-8.fc32.noarch                           relaxngDatatype-2011.1-12.fc32.noarch                        
  resteasy-atom-provider-3.0.26-2.fc32.noarch                      resteasy-client-3.0.26-2.fc32.noarch                              resteasy-core-3.0.26-2.fc32.noarch                       resteasy-jackson2-provider-3.0.26-2.fc32.noarch              
  resteasy-jaxb-provider-3.0.26-2.fc32.noarch                      rpcbind-1.2.5-5.rc1.fc32.1.x86_64                                 rpm-plugin-selinux-4.15.1-2.fc32.1.x86_64                samba-2:4.12.0-0.2.rc2.fc32.1.x86_64                         
  samba-client-libs-2:4.12.0-0.2.rc2.fc32.1.x86_64                 samba-common-2:4.12.0-0.2.rc2.fc32.1.noarch                       samba-common-libs-2:4.12.0-0.2.rc2.fc32.1.x86_64         samba-common-tools-2:4.12.0-0.2.rc2.fc32.1.x86_64            
  samba-libs-2:4.12.0-0.2.rc2.fc32.1.x86_64                        samba-winbind-2:4.12.0-0.2.rc2.fc32.1.x86_64                      samba-winbind-modules-2:4.12.0-0.2.rc2.fc32.1.x86_64     selinux-policy-3.14.5-24.fc32.noarch                         
  selinux-policy-targeted-3.14.5-24.fc32.noarch                    slapi-nis-0.56.4-1.fc32.x86_64                                    slf4j-1.7.30-1.fc32.noarch                               slf4j-jdk14-1.7.30-1.fc32.noarch                             
  softhsm-2.5.0-4.fc32.3.x86_64                                    sscg-2.6.1-2.fc32.x86_64                                          sssd-common-2.2.2-6.fc32.x86_64                          sssd-common-pac-2.2.2-6.fc32.x86_64                          
  sssd-dbus-2.2.2-6.fc32.x86_64                                    sssd-ipa-2.2.2-6.fc32.x86_64                                      sssd-krb5-common-2.2.2-6.fc32.x86_64                     sssd-tools-2.2.2-6.fc32.x86_64                               
  stax-ex-1.7.7-12.fc32.noarch                                     tomcat-1:9.0.30-2.fc32.noarch                                     tomcat-el-3.0-api-1:9.0.30-2.fc32.noarch                 tomcat-jsp-2.3-api-1:9.0.30-2.fc32.noarch                    
  tomcat-lib-1:9.0.30-2.fc32.noarch                                tomcat-servlet-4.0-api-1:9.0.30-2.fc32.noarch                     tomcatjss-7.4.1-3.fc32.noarch                            tzdata-java-2019c-3.fc32.noarch                              
  velocity-1.7-27.fc32.noarch                                      web-assets-filesystem-5-11.fc32.noarch                            xmlrpc-c-1.51.0-10.fc32.x86_64                           xmlrpc-c-client-1.51.0-10.fc32.x86_64                        
  xmlstreambuffer-1.5.4-11.fc32.noarch                             xsom-20140514-3.fc32.noarch                                      

Complete!

Comment 1 Alexander Bokovoy 2020-02-11 19:57:00 UTC
This would block use of freeipa in default Fedora 32 configuration and prevents us upstream from testing Fedora 32 branched.

Comment 2 Alexander Bokovoy 2020-02-11 20:10:03 UTC
Mikolaj, let me know if this has to be moved to a different component. We need to solve this pretty quick.

Comment 3 Alexander Bokovoy 2020-02-11 20:15:19 UTC
How to reproduce:

$ podman run -ti registry.fedoraproject.org/f32/fedora-toolbox
sh-5.0# dnf install freeipa-server-trust-ad
Fedora - Modular Rawhide - Developmental packages for the next Fedora release                                                                                                                                                 3.5 MB/s | 4.4 MB     00:01    
Fedora - Rawhide - Developmental packages for the next Fedora release                                                                                                                                                         5.3 MB/s |  70 MB     00:13    
Last metadata expiration check: 0:00:01 ago on Tue Feb 11 20:11:21 2020.
Error: 
 Problem: package pki-ca-10.7.3-6.fc32.noarch requires pki-server = 10.7.3, but none of the providers can be installed
  - package pki-server-10.7.3-6.fc32.noarch requires tomcatjss >= 7.4.1, but none of the providers can be installed
  - package freeipa-server-4.8.4-6.fc32.x86_64 requires pki-ca >= 10.7.3-1, but none of the providers can be installed
  - package tomcatjss-7.4.1-3.fc32.noarch requires slf4j-jdk14, but none of the providers can be installed
  - package freeipa-server-trust-ad-4.8.4-6.fc32.x86_64 requires freeipa-server = 4.8.4-6.fc32, but none of the providers can be installed
  - package slf4j-jdk14-1.7.30-1.fc32.noarch requires mvn(org.slf4j:slf4j-api) = 1.7.30, but none of the providers can be installed
  - conflicting requests
  - package slf4j-1.7.30-1.fc32.noarch is excluded
(try to add '--skip-broken' to skip uninstallable packages)

Comment 4 Dinesh Prasanth 2020-02-12 17:35:30 UTC
*** Bug 1801076 has been marked as a duplicate of this bug. ***

Comment 5 Joe Orton 2020-02-13 15:19:01 UTC
With:

[root@ci-vm-10-0-138-18 ~]# rpm -q dnf
dnf-4.2.18-1.fc32.noarch

I get:

[root@ci-vm-10-0-138-18 ~]# dnf install freeipa-server-trust-ad
Last metadata expiration check: 0:12:49 ago on Thu 13 Feb 2020 10:01:21 EST.
Error: 
 Problem: package pki-ca-10.7.3-6.fc32.noarch requires pki-server = 10.7.3, but none of the providers can be installed
  - package pki-server-10.7.3-6.fc32.noarch requires tomcatjss >= 7.4.1, but none of the providers can be installed
  - package freeipa-server-4.8.4-6.fc32.x86_64 requires pki-ca >= 10.7.3-1, but none of the providers can be installed
  - package tomcatjss-7.4.1-3.fc32.noarch requires slf4j-jdk14, but none of the providers can be installed
  - package freeipa-server-trust-ad-4.8.4-6.fc32.x86_64 requires freeipa-server = 4.8.4-6.fc32, but none of the providers can be installed
  - package slf4j-jdk14-1.7.30-1.fc32.noarch requires mvn(org.slf4j:slf4j-api) = 1.7.30, but none of the providers can be installed
  - conflicting requests
  - package slf4j-1.7.30-1.fc32.noarch is filtered out by modular filtering

slf4j is filtered from the maven modules but I don't know why this means dnf is preventing installation of the bare slf4j* RPMs from the non-modular repo.  IIRC somebody (maybe Mikolaj) talking about this as being a known issue in dnf, but I don't remember the details.

Comment 6 Joe Orton 2020-02-13 16:09:19 UTC
(In reply to Joe Orton from comment #5)
> slf4j is filtered from the maven modules but I don't know why this means dnf
> is preventing installation of the bare slf4j* RPMs from the non-modular
> repo.  IIRC somebody (maybe Mikolaj) talking about this as being a known
> issue in dnf, but I don't remember the details.

That wasn't correct - slf4j-jdk14 is filtered but slf4j is not filtered.

Comment 7 Miro Hrončok 2020-02-13 17:08:03 UTC
Proposing for prioritized bug as this is pretty important. And it was brought to FESCo as well: https://pagure.io/fesco/issue/2341

Please note that Mikolaj is on vacation. https://apps.fedoraproject.org/calendar/vacation/#m9688

CCing the dnf people as well.

Comment 8 Mikolaj Izdebski 2020-02-17 13:03:10 UTC
Not reproducible in rawhide as maven module is not tagged for f33-modular: https://pagure.io/releng/issue/9265
Any possible updates to maven module in rawhide are also blocked by the same issue.

In general, the problem described in this bug is a broken dependency of slf4j-jdk14 ursine package - it requires virtual package that is not available in Fedora repos enabled by default - the virtual package with required version is provided by package that is shadowed by modular package with the same name, which is expected behaviour of modularity.

The simplest short-term solution to the problem would be to upgrade slf4j in stream 3.5 of maven module to version 1.7.30. I will do that soon.

A much better long-term solution that I was working on is "module namespacing" - making maven module non-conflicting and parallel-installable with ursine packages by including module name and stream in all binary package names, provides, file paths etc. The work on this solution is stalled, blocked on issues with external repo merging in Koji.

Comment 9 Alexander Bokovoy 2020-02-17 13:41:56 UTC
Mikolaj, thanks for the update.

The problem is still reproducible in Fedora 32 -- since filing this bug Fedora 32 was branched from Rawhide. So the issue needs to be fixed there too.

Comment 10 Miro Hrončok 2020-02-17 15:56:56 UTC
Another solution would be to stop shadowing Fedora packages with Modularity packages.

Comment 11 Adam Williamson 2020-02-20 18:24:16 UTC
Now various other bugs are resolved, openQA is running into this when just trying to deploy FreeIPA:

https://openqa.fedoraproject.org/tests/524114#step/role_deploy_domain_controller/25

Nominating as a Beta blocker, this is a clear violation of "It must be possible to configure a Fedora Server system installed according to the above criteria as a FreeIPA domain controller, using the official deployment tools provided in the distribution FreeIPA packages." - https://fedoraproject.org/wiki/Basic_Release_Criteria#FreeIPA_server_requirements

FWIW it seems to me like the non-modular slf4j package and dnf are doing nothing wrong here, the "blame" attaches to the maven module: it is the thing causing the problem (by doing all three of: having a default module stream, exposing only one subpackage from the slf4j source package but not the others, and then diverging in version from the non-modular package such that this dependency issue arises).

Comment 12 Miro Hrončok 2020-02-20 21:50:40 UTC
(In reply to Mikolaj Izdebski from comment #8)
> The simplest short-term solution to the problem would be to upgrade slf4j in
> stream 3.5 of maven module to version 1.7.30. I will do that soon.

This will just hide the problem until it happens again.

Comment 13 Mikolaj Izdebski 2020-02-21 08:26:48 UTC
(In reply to Miro Hrončok from comment #12)
> (In reply to Mikolaj Izdebski from comment #8)
> > The simplest short-term solution to the problem would be to upgrade slf4j in
> > stream 3.5 of maven module to version 1.7.30. I will do that soon.
> 
> This will just hide the problem until it happens again.

Yes, unfortunately. I am hoping to be able to eventually implement the long-term solution, but I am blocked on Koji issues mentioned above.

Comment 14 Mikolaj Izdebski 2020-02-24 15:41:52 UTC
Per FESCo decision maven module will no longer have default stream in Fedora. Therefore this issue should impact only installations with explicitly enabled maven module streams, which narrows down impact of the issue described in this bug.

Comment 15 František Zatloukal 2020-02-24 20:32:52 UTC
Discussed during the 2020-02-24 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made:

"It must be possible to configure a Fedora Server system installed according to the above criteria as a FreeIPA domain controller, using the official deployment tools provided in the distribution FreeIPA packages."

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2020-02-24/f32-blocker-review.2020-02-24-17.00.log.txt

Comment 16 Jan Pazdziora 2020-02-25 10:06:08 UTC
What is the actual action that someone should take?

Comment 17 Alex Scheel 2020-02-25 13:04:55 UTC
Workaround, as mentioned by ab above:

If someone wishes to use FreeIPA, the following should suffice:

$ dnf module disable maven
$ dnf install ...

Note that the Stewardship SIG repackages maven as an ursine package, so maven will still be available.

Comment 18 František Zatloukal 2020-02-25 13:47:12 UTC
(In reply to Jan Pazdziora from comment #16)
> What is the actual action that someone should take?

Once module defaults are reset and OpenQA server_role_deploy_domain_controller starts passing, I'd say it's fixed. So, we probably just wait for https://pagure.io/releng/fedora-module-defaults/pull-request/195 to take effect.

Comment 19 Adam Williamson 2020-02-26 01:44:02 UTC
openQA server deployment tests passed in Fedora-32-20200225.n.0 - e.g. https://openqa.fedoraproject.org/tests/527308 - indicating this change has taken effect.

Comment 20 Miro Hrončok 2020-02-26 15:06:21 UTC
Could you please verify if this is also fixed for upgrades from Fedora 30/31?

Comment 21 Adam Williamson 2020-02-26 16:47:35 UTC
I can check, but if that's broken it seems like maybe a different problem, to do with the disabling of no-longer-default module streams that were previously default? I filed this bug on the 'new install' scenario and that is clearly fixed.

Comment 22 Miro Hrončok 2020-02-26 17:06:39 UTC
technically, you are correct (which we all know is the best kind of correct). Just wanted to be sure. Thanks.

Comment 23 Adam Williamson 2020-02-26 17:35:12 UTC
I mean, being technically correct is important for the release blocker process. It's important that when I or Ben or anyone else goes and looks at the blocker list, they see what's actually broken, not something that's actually fixed already.

So: it does look like this is broken for upgrades. We get this at the end of the upgrade transaction:

Feb 26 05:59:33 ipa001.domain.local dnf[637]: Removing:
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  freeipa-server                      x86_64  4.8.4-2.fc31                     @updates  1.1 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  freeipa-server-dns                  noarch  4.8.4-2.fc31                     @updates   89 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  freeipa-server-trust-ad             x86_64  4.8.4-2.fc31                     @updates  291 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  jss                                 x86_64  4.6.2-2.fc31                     @updates  1.4 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  ldapjdk                             noarch  4.21.0-2.fc31                    @fedora   346 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-base-java                       noarch  10.7.3-3.fc31                    @fedora   871 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-ca                              noarch  10.7.3-3.fc31                    @fedora   2.3 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-kra                             noarch  10.7.3-3.fc31                    @fedora   522 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-server                          noarch  10.7.3-3.fc31                    @fedora   5.7 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-symkey                          x86_64  10.7.3-3.fc31                    @fedora   112 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  pki-tools                           x86_64  10.7.3-3.fc31                    @fedora   1.0 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  python3-importlib-metadata          noarch  0.23-1.fc31                      @fedora   111 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  python3-zipp                        noarch  0.5.1-2.fc31                     @fedora    13 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  slf4j-jdk14                         noarch  1.7.25-8.fc31                    @fedora    11 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  tomcatjss                           noarch  7.4.1-2.fc31                     @fedora    56 k
Feb 26 05:59:33 ipa001.domain.local dnf[637]: Downgrading:
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  java-1.8.0-openjdk-headless         x86_64  1:1.8.0.242.b06-0.0.ea.fc32      fedora     32 M
Feb 26 05:59:33 ipa001.domain.local dnf[637]:  libarchive                          x86_64  3.4.0-2.fc32                     fedora    388 k

which clearly means the upgraded system isn't going to work as a FreeIPA server any more, and equally clearly looks to be related to this 'part of slf4j in maven module' issue. However, we have another bug that effectively covers this already:

https://bugzilla.redhat.com/show_bug.cgi?id=1767351

in this case the module doesn't exactly 'block the upgrade path', but the same fix - resetting all modules on upgrade - will solve the problem. I am going to re-close this bug; if you think #1767351 isn't sufficient to track the upgrade problem, please file a new bug for it.

Comment 24 Miro Hrončok 2020-02-26 18:11:39 UTC
Thanks! bz1767351 is fine to track this.